import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;
/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Background extends greenfoot.World
{
    ArrayList<Snake> snake = new ArrayList<Snake>();
    public Background()
    {    
        super(21, 21, 30);
        Greenfoot.setSpeed(30);
        prepare();
        showText(snake.size()-1+"", 0, 0);
    }
    public void act() {
        showText(snake.size()-1+"", 0, 0);
    }
    public Snake getNextSnake(int index) {
        return snake.get(index - 1);
    }
    public void addSnake() {
        Body b = new Body(snake.size(), snake.get(snake.size()-1).direction);
        Snake prev = snake.get(snake.size()-1);
        snake.add(b);
        
        addObject(b, prev.getX() + b.calcV(prev.direction).x(), prev.getY() - b.calcV(prev.direction).y());
    }
    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        head head = new head();
        addObject(head,10,10);
        snake.add(head);
        int x = 0, y = 0;
        while (y == 0 && x == 0) {
            x = Greenfoot.getRandomNumber(getWidth());
            y = Greenfoot.getRandomNumber(getHeight());
        }
        Food food = new Food();
        addObject(food, x, y);
        setActOrder(new Class[] {head.class, Body.class});
    }
}
